On Sun, Nov 02, 2003 at 10:40:07AM +0100, R.T.G. TAN wrote:
> Hi,
> 
> Im trying to install openoffice and am getting
> the folling:
> 
> >>>
> ../../dist/bin/xpidl -m typelib -w -I ../../dist/idl -I. -o _xpidlgen/nsrootidl 
> nsrootidl.idl
> ../../dist/bin/xpt_link _xpidlgen/xpcom_base.xpt _xpidlgen/nsIErrorService.xpt 
> _xpidlgen/nsIConsoleService.xpt _xpidlgen/nsIConsoleMessage.xpt 
> _xpidlgen/nsIConsoleListener.xpt _xpidlgen/nsIException.xpt 
> _xpidlgen/nsIExceptionService.xpt _xpidlgen/nsIInterfaceRequestor.xpt 
> _xpidlgen/nsIProgrammingLanguage.xpt _xpidlgen/nsISupports.xpt 
> _xpidlgen/nsIWeakReference.xpt _xpidlgen/nsIMemory.xpt _xpidlgen/nsrootidl.xpt
> ../../config/nsinstall -R -m 644 _xpidlgen/xpcom_base.xpt ../../dist/bin/components
> Can't locate File/Spec/Unix.pm in @INC (@INC contains: ../../config 
> /usr/libdata/perl/5.00503/mach /usr/libdata/perl/5.00503 
> /usr/local/lib/perl5/site_perl/5.005/i386-freebsd 
> /usr/local/lib/perl5/site_perl/5.005 .) at /usr/libdata/perl/5.00503/File/Spec.pm 
> line 21.
> BEGIN failed--compilation aborted at /usr/libdata/perl/5.00503/FindBin.pm line 79.
> BEGIN failed--compilation aborted at ../../config/make-jars.pl line 6.
> gmake[3]: *** [libs] Error 2
> gmake[3]: Leaving directory 
> `/usr/ports/editors/openoffice/work/mozilla/work/mozilla/xpcom/base'
> gmake[2]: *** [libs] Error 2
> gmake[2]: Leaving directory 
> `/usr/ports/editors/openoffice/work/mozilla/work/mozilla/xpcom'
> gmake[1]: *** [tier_9] Error 2
> gmake[1]: Leaving directory `/usr/ports/editors/openoffice/work/mozilla/work/mozilla'
> gmake: *** [default] Error 2
> *** Error code 2
> 
> Stop in /usr/ports/editors/openoffice/work/mozilla.
> *** Error code 1
> 
> Stop in /usr/ports/editors/openoffice.
> *** Error code 1
> 
> Stop in /usr/ports/editors/openoffice.
> *** Error code 1
> 
> Stop in /usr/ports/editors/openoffice.
> ** Command failed [exit code 1]: /usr/bin/script -qa 
> /usr/home/rotan/tmp/portinstall49564.0 make
> ** Fix the problem and try again.
> ** The following packages were not installed or upgraded (*:skipped / !:failed)
>         ! editors/openoffice    (unknown build error)
> 
> <<<

Either install a more recent version of perl -- ie. one of lang/perl5
(for perl-5.6.1) or lang/perl5.8 (for perl-5.8.1) ports, and don't
forget to run:

    # use.perl port

or install the devel/p5-File-Spec port.  The File::Spec module is a
standard module in more recent versions of perl than the one the
system provides.

        Cheers,

        Matthew

-- 
Dr Matthew J Seaman MA, D.Phil.                       26 The Paddocks
                                                      Savill Way
PGP: http://www.infracaninophile.co.uk/pgpkey         Marlow
Tel: +44 1628 476614                                  Bucks., SL7 1TH UK

Attachment: pgp00000.pgp
Description: PGP signature

Reply via email to